1.0

1.0

get /v1/snapshots

Description

List snapshots and details.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryvolume_id
optional
볼륨 ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
any of [string, null]None
querylimit
optional
페이지 항목 개수
Example : 20
any of [integer, null]None
queryoffset
optional
목록에서 시작할 지점의 인덱스
Example : 0
any of [integer, null]None
querymarker
optional
이전 요청에서 마지막으로 반환된 항목 ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
any of [string, null]None
querywith_count
optional
총 개수 여부
Example : True
any of [boolean, null]True
queryname
optional
스냅샷명
Example : snapshot-1
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKSnapshotListResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "count": 100,
    "snapshots": [
        {
            "created_at": "2025-07-22T09:00:00Z",
            "description": "description",
            "id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
            "metadata": "",
            "name": "snapshot-1",
            "size": 104,
            "status": "available",
            "updated_at": "2025-07-26T12:00:00Z",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
        }
    ]
}